package sample.app;

import javax.swing.SwingUtilities;

import misc.Bundle;
import misc.Config;
import misc.Plugins;

import sample.model.Sample;

public class LaunchSample {

    // ========================================
    public static void main (String[] args) {
				Config.load ("Sample");
				Bundle.load ("Help");
				Bundle.load ("Controller");
				Bundle.load ("Sample");

				final Sample sample = new Sample ();
				sample.addData ();
				sample.addData ();
				sample.addData ();

				SwingUtilities.invokeLater (new Runnable () {
								public void run () {
										new SampleController (sample);
								}
						});
    }

    // ========================================

}
