package sample.model;

import java.util.ArrayList;

import misc.StateNotifier;

/**
 */
public class Sample extends StateNotifier {

    // ========================================
		ArrayList<String> data;
		int dataCount;
		public ArrayList<String> getData () { return data; }

		public Sample () {
				reset ();
		}

    // ========================================
		public void reset () {
				data = new ArrayList<String> ();
				dataCount = 0;
				modified = false;
				broadcastUpdate ("Data");
		}

		public void addData () {
				data.add (new String ("truc "+dataCount++));
				modified = true;
				broadcastUpdate ("Data");
		}

    // ========================================
		boolean modified = false;
    public boolean getModified () {
				return modified;
    }

    // ========================================
    private String name;
    public String getName () {
				return name;
    }
		
    public void setName (String name) {
				if (this.name == name ||
						(this.name != null && this.name.equals (name)))
						return;
				this.name = name;
				broadcastUpdate ("Name");
    }

    // ========================================
}
